dlmref.origin <- function(y, x = rep(1,length(y)), kappasqr)
{
  lngth <- length(y)
  Hvec <-  hvec <-  Kvec <- kvec <- vector(mode="numeric",length=lngth)
  ##The next statement commented out, redundant in R which initializes Hvec and
  ##hvec by default as 0; but perhaps needed in other programming languages:
  ##Hvec[[1]] <- hvec[[1]] <- 0
  kvec[[1]] <- x[[1]]*y[[1]]/kappasqr
  Kvec[[1]] <- x[[1]]*x[[1]]/kappasqr
  for (i in 2:lngth)
    { hvec[[i]] <- kvec[[i-1]]/(1+Kvec[[i-1]])
      Hvec[[i]] <- Kvec[[i-1]]/(1+Kvec[[i-1]])
      kvec[[i]] <- hvec[[i]]+x[[i]]*y[[i]]/kappasqr
      Kvec[[i]] <- Hvec[[i]]+x[[i]]*x[[i]]/kappasqr
    }
  bvec <- kvec/Kvec
  ##Now computation of the one-step-ahead prediction mse
  onestep <- y[-1]-x[-1]*bvec[-lngth]
  mse <- sum(onestep^2)/(lngth-1)
  list(coefficients=bvec, residuals=y-x*bvec,
       onestep=c(NA, onestep), mse=mse)
}
