> outputlm<-lm(log(output)~log(capital)+log(labor),data=cobbdoug)
> capitallm<-lm(log(capital)~log(labor)+log(output),data=cobbdoug)
> laborlm<-lm(log(labor)~log(output)+log(capital),data=cobbdoug)
> coefficients(outputlm)
 (Intercept) log(capital)   log(labor) 
  -0.1773097    0.2330535    0.8072782 
> coefficients(capitallm)
 (Intercept)  log(labor) log(output) 
 -2.72052726 -0.08695944  1.67579357 
> coefficients(laborlm)
 (Intercept)  log(output) log(capital) 
  1.27424214   0.73812541  -0.01105754 

#Here is the information for the confidence ellipse:
> summary(outputlm,correlation=T)

Call:
lm(formula = log(output) ~ log(capital) + log(labor), data = cobbdoug)

Residuals:
      Min        1Q    Median        3Q       Max 
-0.075282 -0.035234 -0.006439  0.038782  0.142114 

Coefficients:
             Estimate Std. Error t value Pr(>|t|)    
(Intercept)  -0.17731  0.43429   -0.408  0.68721     
log(capital)  0.23305  0.06353    3.668  0.00143  ** 
log(labor)    0.80728  0.14508    5.565  1.6e-05  ***
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.05814 on 21 degrees of freedom
Multiple R-Squared: 0.9574,	Adjusted R-squared: 0.9534 
F-statistic: 236.1 on 2 and 21 degrees of freedom,	p-value: 3.997e-15 

Correlation of Coefficients:
             (Intercept) log(capital)
log(capital)      0.7243             
log(labor)       -0.9451      -0.9096


#Quantile of the F-distribution:
> qf(p=0.95, df1=2, df2=21)

[1] 3.4668
