##This script generates 3 consecutive seeds, with the
##initial seed set as (1, 10, 2000), puts them into a matrix,
##and then generates the random numbers from the rows of
##this matrix:

  my.seeds <- matrix(nrow=3, ncol=3)

  my.seeds[1,] <- next.WHseed(c(1, 10, 2000))
  my.seeds[2,] <- next.WHseed(my.seeds[1,])
  my.seeds[3,] <- next.WHseed(my.seeds[2,])

  my.unif <- c(WH.from.current.seed(my.seeds[1,]),
               WH.from.current.seed(my.seeds[2,]),
               WH.from.current.seed(my.seeds[3,]))
