dlm.origin <- function(y, x, kappasqr, priormean, priorvar)
{
  lngth <- length(y)
  kappinv <- 1/kappasqr
  if (missing(x))  { x <- rep(1,lngth) }
  avec <- bvec <- auxvec <- vector(mode="numeric",length=lngth)
  avec[[1]] <- x[[1]]*(priorvar+1)/(kappasqr+x[[1]]^2*(priorvar+1))
  bvec[[1]] <- priormean + avec[[1]]*(y[[1]]-x[[1]]*priormean)
  for (i in 2:lngth)
    { auxvec[[i]] <- x[[i]]*(avec[[i-1]]/x[[i-1]]+kappinv)
      avec[[i]] <- auxvec[[i]]/(1+x[[i]]*auxvec[[i]])
      bvec[[i]] <- bvec[[i-1]]+avec[[i]]*(y[[i]]-x[[i]]*bvec[[i-1]])
    }
  residuals <- y - x*bvec
  list(coefficients=bvec, adaptive=avec, residuals=residuals)
}
