"geizel.regressors" <- function(x, lambda)
  { lngth <- length(x)
    lampow <- z <- vector(mode="numeric",length=lngth)
    lampow[[1]] <- lambda
    z[[1]] <- x[[1]]
    for (ii in 2:lngth)
      { lampow[[ii]] <- lambda*lampow[[ii-1]]
        z[[ii]] <- x[[ii]] + lambda*z[[ii-1]] }
    data.frame(z=(1-lambda)*z, lampow=lampow) }

"geizel.regression" <- function(y, x, nn, lambdamin=1/(nn+1), lambdamax=nn/(nn+1))
  #The original Zellner Geisel article has an intercept.
  { sigmavec <- vector(mode="numeric",length=nn)
    for (ii in 1:nn)
      { sigmavec[[ii]] <-
          summary(lm(y ~ z + lampow - 1,
                     data=geizel.regressors(x,
                       lambdamin+(ii-1)*(lambdamax-lambdamin)/(nn-1))))$sigma }
    sigmavec }
