     libname ec781 '/home/econ/ehrbar/ec781/sasdata';

  proc nlin data=ec781.consum
      maxiter=200;
      parms a1=11.1458
          b1=0.89853
          g1=1;

      model c=a1+b1*exp(g1 * log(y));
      der.a1=1;
      der.b1=exp(g1 * log(y));
      der.g1=b1*(exp(g1*log(y)))*log(y);

      run;
      
